Create a new API key with specified scopes. The plaintext key appears only in this response — store it securely. Requires api_key:create scope.
api_key:create
cURL
curl --request POST \ --url https://api.zeroclick.quest/v1/api-keys \ --header 'Content-Type: application/json' \ --header 'x-zam-api-key: <api-key>' \ --data ' { "name": "<string>", "scopes": [ "listing:create" ] } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "keyPrefix": "<string>", "plaintextKey": "<string>", "scopes": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z" }
ZAM API key. Starts with zam_.
zam_
Human-readable name for the key
Permissions granted to this key
listing:create
listing:read
listing:update
listing:delete
order:create
order:read
api_key:read
api_key:update
api_key:delete
Created API key (includes plaintext key — shown only once)
Returned only at creation time. The plaintext key cannot be retrieved later.
The full API key. Store it securely.